Agents API
GET /api/v1/catalog/verticals
Summary: List the platform vertical catalog (with agents)
GET /api/v1/catalog/templates
Summary: List the marketplace template catalog
GET /api/v1/projects/{project_id}/agents
Summary: List a project's agents
GET /api/v1/projects/{project_id}/agents/{agent_key}/config-drilldown
Summary: Get configuration merge precedence drilldown for a project's agent
PATCH /api/v1/projects/{project_id}/agents/{agent_key}
Summary: Update an agent
Request Schema (UpdateAgentRequest):
| Property | Type | Required | Description |
|---|---|---|---|
enabled | any | ||
config | any | ||
system_prompt | any | ||
display_name | any |
Response Schema (AgentResponse - Status 200):
| Property | Type | Required | Description |
|---|---|---|---|
agent_key | string | * | |
vertical | string | * | |
base_type | string | * | |
display_name | string | * | |
enabled | boolean | * | |
config | object | ||
system_prompt | string |
PATCH /api/v1/channels/{channel_id}
Summary: Update Channel
Request Schema (ChannelUpdateRequest):
| Property | Type | Required | Description |
|---|---|---|---|
config | any | ||
target_agent_key | any | ||
enabled | any |
Response Schema (ChannelResponse - Status 200):
| Property | Type | Required | Description |
|---|---|---|---|
id | string | * | |
project_id | string | * | |
type | string | * | |
config | object | ||
target_agent_key | any | ||
enabled | boolean | * |
DELETE /api/v1/channels/{channel_id}
Summary: Delete Channel